## Script (Python) "rsscollection_search"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=
##title=Edit a Feed
##
# if there is no id specified, keep the current one

from Products.CMFCore.utils import getToolByName

REQUEST = context.REQUEST

pa = getToolByName(context, 'portal_aggregation')

pattern = REQUEST.get('pattern','')

scheme_map = {}
schemes = REQUEST.get('Schemes', [])
for scheme in schemes:
    cates = REQUEST.get(scheme + '_Categories', [])
    scheme_map[scheme] = cates

res = pa.search(pattern=pattern, scheme_map=scheme_map)

#Make dummy results#######################
def dummyFeeds():
    """ """
    dummy = []
    for i in range(5):
        feed = {}
        feed['feedid'] = 'feedid%d' %i
        feed['siteurl'] = 'site url %d' %i
        feed['sitename'] = 'site name %d' %i
        feed['title'] = 'feed title %d' %i
        feed['dataurl'] = 'feed dataurl %d' %i
        feed['description'] = 'feed description %d' %i
        feed['fetchable'] = 'feed fetchable %d' %i 
        feed['status'] = 'feed status %d' %i 
        feed['Categories'] = 'feed Categories %d' %i

        dummy.append(feed)
    return dummy
#res = dummyFeeds()
##########################################

return res
